# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        try:
            # checking if old named by django-cms 2 table exists and rename it
            db.execute('SELECT * FROM cmsplugin_passerelleregisterplugin')
            db.rename_table('cmsplugin_passerelleregisterplugin', 'passerelle_register_plugin')
        except:
            # otherwise create the table
            db.create_table(u'passerelle_register_plugin', (
                (u'cmsplugin_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['cms.CMSPlugin'], unique=True, primary_key=True)),
                ('passerelle_url', self.gf('django.db.models.fields.URLField')(max_length=128)),
                ('ressources_restrictions', self.gf('django.db.models.fields.TextField')(blank=True)),
                ('transports_restrictions', self.gf('django.db.models.fields.TextField')(blank=True)),
            ))
            db.send_create_signal(u'passerelle_register_plugin', ['PasserelleRegisterPlugin'])


    def backwards(self, orm):
        # Deleting model 'PasserelleRegisterPlugin'
        db.delete_table(u'passerelle_register_plugin')


    models = {
        'cms.cmsplugin': {
            'Meta': {'object_name': 'CMSPlugin'},
            'changed_date': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'creation_date': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.CMSPlugin']", 'null': 'True', 'blank': 'True'}),
            'placeholder': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.Placeholder']", 'null': 'True'}),
            'plugin_type': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'}),
            'position': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'})
        },
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        u'passerelle_register_plugin.passerelleregisterplugin': {
            'Meta': {'object_name': 'PasserelleRegisterPlugin', '_ormbases': ['cms.CMSPlugin']},
            u'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'passerelle_url': ('django.db.models.fields.URLField', [], {'max_length': '128'}),
            'ressources_restrictions': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'transports_restrictions': ('django.db.models.fields.TextField', [], {'blank': 'True'})
        }
    }

    complete_apps = ['passerelle_register_plugin']
